* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: system-ui, -apple-system, "Apple SD Gothic Neo", "Source Han Sans", "Malgun Gothic", sans-serif;
  color: #585454;
  font-size: 14px;
  line-height: 1.5;
  background-color: #ffffff;
  word-break: keep-all;
  word-wrap: break-word;
}
a {
  color: inherit;
}
img {
  vertical-align: top;
}
input,
select,
button,
textarea {
  font: inherit;
  color: #666;
  outline: 0;
}
code {
  display: inline-block;
  font-family: Menlo, Courier, monospace;
  background-color: #FBFBFC;
  color: #585454;
  border: 1px solid #E3DEE7;
  font-size: 0.9em;
  padding: 5px 10px;
  border-radius: 3px;
  margin: 10px 0;
  word-break: break-all;
}
code:last-child {
  margin-bottom: 0;
}
.flash {
  list-style: none;
  margin: 30px auto 0;
  max-width: 320px;
}
.flash li {
  background-color: rgba(255, 255, 255, 0.1);
  padding: 10px 20px;
  border-radius: 6px;
  color: #fff;
  margin-bottom: 10px;
}
.layout-common .bg,
.layout-index .bg,
.layout-login .bg,
.layout-register .bg,
.layout-leave .bg {
  position: relative;
  background: #475CA9;
  background: linear-gradient(135deg, #688fed 0%, #475ca9 45%, #688fed 100%);
  padding: 40px 20px 60px;
}
.layout-common .bg .back,
.layout-index .bg .back,
.layout-login .bg .back,
.layout-register .bg .back,
.layout-leave .bg .back {
  position: absolute;
  top: 0;
  left: 0;
  color: #ffffff;
  padding: 15px;
  font-size: 20px;
}
.layout-common .bg img,
.layout-index .bg img,
.layout-login .bg img,
.layout-register .bg img,
.layout-leave .bg img {
  display: block;
  margin: 0 auto;
  max-width: 100%;
  width: 86px;
}
.layout-common .bg h1,
.layout-index .bg h1,
.layout-login .bg h1,
.layout-register .bg h1,
.layout-leave .bg h1 {
  font-size: 24px;
  font-weight: 300;
  color: #ffffff;
  text-align: center;
  margin: 20px 0;
}
.layout-common .form-wrap,
.layout-index .form-wrap,
.layout-login .form-wrap,
.layout-register .form-wrap,
.layout-leave .form-wrap {
  position: relative;
  z-index: 2;
  max-width: 290px;
  margin: -40px auto 30px;
  padding: 40px 20px;
  border-radius: 10px;
  background-color: #ffffff;
  box-shadow: 0 0 5px 3px rgba(80, 80, 80, 0.1);
  overflow: hidden;
}
.layout-common .form-wrap #progress-bar,
.layout-index .form-wrap #progress-bar,
.layout-login .form-wrap #progress-bar,
.layout-register .form-wrap #progress-bar,
.layout-leave .form-wrap #progress-bar {
  position: absolute;
  display: block;
  left: 0;
  top: 0;
  width: 10%;
  height: 4px;
  background: #688fed;
  transition: width 0.5s;
}
.layout-common .form-wrap .input-wrap,
.layout-index .form-wrap .input-wrap,
.layout-login .form-wrap .input-wrap,
.layout-register .form-wrap .input-wrap,
.layout-leave .form-wrap .input-wrap {
  position: relative;
  display: block;
  border-radius: 20px;
  padding: 0 15px;
  text-align: center;
  margin-bottom: 10px;
  background-color: #f4f4f4;
}
.layout-common .form-wrap .input-wrap i.fa,
.layout-index .form-wrap .input-wrap i.fa,
.layout-login .form-wrap .input-wrap i.fa,
.layout-register .form-wrap .input-wrap i.fa,
.layout-leave .form-wrap .input-wrap i.fa {
  position: absolute;
  top: 14px;
  bottom: 12px;
  right: 20px;
  color: #777777;
  font-size: 18px;
}
.layout-common .form-wrap .input-wrap input,
.layout-common .form-wrap .input-wrap textarea,
.layout-index .form-wrap .input-wrap input,
.layout-index .form-wrap .input-wrap textarea,
.layout-login .form-wrap .input-wrap input,
.layout-login .form-wrap .input-wrap textarea,
.layout-register .form-wrap .input-wrap input,
.layout-register .form-wrap .input-wrap textarea,
.layout-leave .form-wrap .input-wrap input,
.layout-leave .form-wrap .input-wrap textarea {
  display: block;
  width: 100%;
  background-color: transparent;
  border: 0;
  -webkit-appearance: none;
  resize: none;
  font-size: 16px;
  padding: 10px 20px 10px 0;
}
.layout-common .form-wrap .submit,
.layout-index .form-wrap .submit,
.layout-login .form-wrap .submit,
.layout-register .form-wrap .submit,
.layout-leave .form-wrap .submit {
  display: block;
  width: 100%;
  color: #ffffff;
  padding: 12px;
  border-radius: 50px;
  background: #475CA9;
  background: linear-gradient(to left, #688fed 0%, #475ca9 100%);
  border: 0;
  -webkit-appearance: none;
  cursor: pointer;
}
.layout-common .form-wrap .button,
.layout-index .form-wrap .button,
.layout-login .form-wrap .button,
.layout-register .form-wrap .button,
.layout-leave .form-wrap .button {
  display: block;
  width: 100%;
  color: #ffffff;
  padding: 12px;
  border-radius: 50px;
  background: #828290;
  background: linear-gradient(to left, #787883 0%, #9696a9 100%);
  border: 0;
  -webkit-appearance: none;
  text-align: center;
  margin-bottom: 10px;
  cursor: pointer;
}
.layout-common .divide,
.layout-index .divide,
.layout-login .divide,
.layout-register .divide,
.layout-leave .divide {
  max-width: 290px;
  font-size: 20px;
  margin: 0 auto 60px;
  color: #888888;
}
.layout-common blockquote,
.layout-index blockquote,
.layout-login blockquote,
.layout-register blockquote,
.layout-leave blockquote {
  border-left: 3px solid #eee;
  padding: 5px 10px;
  margin-bottom: 15px;
  font-size: 12px;
}
.layout-common .other-navigation,
.layout-index .other-navigation,
.layout-login .other-navigation,
.layout-register .other-navigation,
.layout-leave .other-navigation {
  color: #495baa;
  list-style: none;
  text-align: center;
  margin-top: 30px;
  font-size: 0;
}
.layout-common .other-navigation li,
.layout-index .other-navigation li,
.layout-login .other-navigation li,
.layout-register .other-navigation li,
.layout-leave .other-navigation li {
  display: inline-block;
  margin-right: 5px;
}
.layout-common .other-navigation li:last-child,
.layout-index .other-navigation li:last-child,
.layout-login .other-navigation li:last-child,
.layout-register .other-navigation li:last-child,
.layout-leave .other-navigation li:last-child {
  margin-right: 0;
}
.layout-common .other-navigation li a,
.layout-index .other-navigation li a,
.layout-login .other-navigation li a,
.layout-register .other-navigation li a,
.layout-leave .other-navigation li a {
  font-weight: 400;
  text-decoration: none;
  font-size: 14px;
}
.layout-common .oauth-wrap,
.layout-index .oauth-wrap,
.layout-login .oauth-wrap,
.layout-register .oauth-wrap,
.layout-leave .oauth-wrap {
  list-style: none;
  text-align: center;
  margin-top: 30px;
  font-size: 0;
}
.layout-common .oauth-wrap li,
.layout-index .oauth-wrap li,
.layout-login .oauth-wrap li,
.layout-register .oauth-wrap li,
.layout-leave .oauth-wrap li {
  display: inline-block;
  margin: 0 14px;
}
.layout-common .oauth-wrap li a,
.layout-index .oauth-wrap li a,
.layout-login .oauth-wrap li a,
.layout-register .oauth-wrap li a,
.layout-leave .oauth-wrap li a {
  display: block;
  width: 44px;
  height: 44px;
  padding: 10px;
  border-radius: 50%;
  background-color: #f0f0f0;
}
.layout-common .oauth-wrap li a.apple-black,
.layout-index .oauth-wrap li a.apple-black,
.layout-login .oauth-wrap li a.apple-black,
.layout-register .oauth-wrap li a.apple-black,
.layout-leave .oauth-wrap li a.apple-black {
  background-color: #000000;
}
.layout-common .oauth-wrap li a.apple-white,
.layout-index .oauth-wrap li a.apple-white,
.layout-login .oauth-wrap li a.apple-white,
.layout-register .oauth-wrap li a.apple-white,
.layout-leave .oauth-wrap li a.apple-white {
  background-color: #ffffff;
}
.layout-common .oauth-wrap li a.facebook,
.layout-index .oauth-wrap li a.facebook,
.layout-login .oauth-wrap li a.facebook,
.layout-register .oauth-wrap li a.facebook,
.layout-leave .oauth-wrap li a.facebook {
  background-color: #2858B5;
}
.layout-common .oauth-wrap li a.naver,
.layout-index .oauth-wrap li a.naver,
.layout-login .oauth-wrap li a.naver,
.layout-register .oauth-wrap li a.naver,
.layout-leave .oauth-wrap li a.naver {
  background-color: #62D31E;
}
.layout-common .oauth-wrap li a.kakao,
.layout-index .oauth-wrap li a.kakao,
.layout-login .oauth-wrap li a.kakao,
.layout-register .oauth-wrap li a.kakao,
.layout-leave .oauth-wrap li a.kakao {
  background-color: #F6E14B;
}
.layout-common .oauth-wrap li a img,
.layout-index .oauth-wrap li a img,
.layout-login .oauth-wrap li a img,
.layout-register .oauth-wrap li a img,
.layout-leave .oauth-wrap li a img {
  width: 100%;
  max-width: 100%;
}
.layout-index p {
  text-align: center;
  margin-top: 1.3em;
}
.layout-index p:first-child {
  margin-top: 0;
}
.layout-register .input-item label {
  font-weight: 400;
}
.layout-register .input-item .error {
  display: none;
  color: #ec4c4c;
  margin-bottom: 10px;
}
.layout-register .input-item select {
  margin: 10px 0;
}
.layout-register .input-item #sex {
  width: 100%;
}
.layout-register .input-wrap.phone-wrap input {
  display: inline-block;
  width: 60px;
  background-color: #ffffff;
  border: 1px solid #F4F4F4;
  padding: 0 5px;
  margin: 10px 0;
}
.layout-register .confirm-wrap {
  display: none;
}
.layout-register .agreement-wrap .agreement-item {
  background-color: #eeeeee;
  border-radius: 20px;
  margin-bottom: 10px;
}
.layout-register .agreement-wrap .agreement-item .content {
  background-color: #fafafa;
  padding: 0;
  font-size: 10px;
  height: 0;
  overflow: hidden;
  overflow-y: scroll;
  transition: height 1s cubic-bezier(0.215, 0.61, 0.355, 1);
}
.layout-register .agreement-wrap .agreement-item .content.active {
  height: 120px;
}
.layout-register .agreement-wrap .agreement-item .content pre {
  word-break: break-all;
  padding: 10px 20px;
  white-space: pre-wrap;
  font: inherit;
}
.layout-register .agreement-wrap .agreement-item .title {
  cursor: pointer;
  padding: 10px 20px;
}
.layout-register .agreement-wrap .agreement-item label {
  border-top: 1px solid #cccccc;
  display: block;
  padding: 10px 20px;
  font-weight: 400;
}
.layout-register .agreement-wrap .agreement-all label {
  display: block;
  padding: 10px 20px;
  background-color: #f8f8f8;
  border-radius: 20px;
  margin-bottom: 10px;
  font-weight: 700;
}
.layout-leave .form-wrap {
  max-width: 330px;
  padding: 1.7em;
}
.layout-leave ul {
  margin-top: 0.7em;
}
.layout-leave li {
  list-style: none;
  line-height: 1.7em;
}
